org.apache.cassandra.streaming.messages

## Enum StreamMessage.Type

- java.lang.Object
- - java.lang.Enum<StreamMessage.Type>
  - - org.apache.cassandra.streaming.messages.StreamMessage.Type

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<StreamMessage.Type>

Enclosing class:
  StreamMessage

    public static enum StreamMessage.Type
    extends java.lang.Enum<StreamMessage.Type>

StreamMessage types

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`COMPLETE`
`FILE`
`PREPARE`
`RECEIVED`
`RETRY`
`SESSION_FAILED`

### Field Summary

Fields
`StreamMessage.Serializer<StreamMessage>` `inSerializer`
`StreamMessage.Serializer<StreamMessage>` `outSerializer`
`int` `priority`

### Method Summary

All Methods Static Methods Concrete Methods
`static StreamMessage.Type` `get(byte type)`
`static StreamMessage.Type` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static StreamMessage.Type[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### PREPARE

    public static final StreamMessage.Type PREPARE

#### FILE

    public static final StreamMessage.Type FILE

#### RECEIVED

    public static final StreamMessage.Type RECEIVED

#### RETRY

    public static final StreamMessage.Type RETRY

#### COMPLETE

    public static final StreamMessage.Type COMPLETE

#### SESSION_FAILED

    public static final StreamMessage.Type SESSION_FAILED

### Field Detail

#### priority

    public final int priority

#### inSerializer

    public final StreamMessage.Serializer<StreamMessage> inSerializer

#### outSerializer

    public final StreamMessage.Serializer<StreamMessage> outSerializer

### Method Detail

#### values

    public static StreamMessage.Type[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (StreamMessage.Type c : StreamMessage.Type.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static StreamMessage.Type valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### get

    public static StreamMessage.Type get(byte type)